org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class PlexusContainerLocator

- java.lang.Object
- - org.codehaus.plexus.personality.plexus.lifecycle.phase.PlexusContainerLocator

All Implemented Interfaces:
  ServiceLocator

    public class PlexusContainerLocator
    extends Object
    implements ServiceLocator

A ServiceLocator for PlexusContainer.

Author:
  Dan Diephouse

### Constructor Summary

Constructors
Constructor and Description
`PlexusContainerLocator(PlexusContainer container)`

### Method Summary

Methods
`boolean` `hasComponent(String componentKey)`
`boolean` `hasComponent(String role, String roleHint)`
`Object` `lookup(String componentKey)`
`Object` `lookup(String role, String roleHint)`
`List` `lookupList(String role)`
`Map` `lookupMap(String role)`
`void` `release(Object component)`
`void` `releaseAll(List components)`
`void` `releaseAll(Map components)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusContainerLocator

    public PlexusContainerLocator(PlexusContainer container)

### Method Detail

#### lookup

    public Object lookup(String componentKey)
                  throws ComponentLookupException

Specified by:
  `lookup` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#lookup(java.lang.String)`

#### lookup

    public Object lookup(String role,
                String roleHint)
                  throws ComponentLookupException

Specified by:
  `lookup` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#lookup(java.lang.String, java.lang.String)`

#### lookupMap

    public Map lookupMap(String role)
                  throws ComponentLookupException

Specified by:
  `lookupMap` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#lookupMap(java.lang.String)`

#### lookupList

    public List lookupList(String role)
                    throws ComponentLookupException

Specified by:
  `lookupList` in interface `ServiceLocator`
Throws:
  `ComponentLookupException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#lookupList(java.lang.String)`

#### release

    public void release(Object component)
                 throws ComponentLifecycleException

Specified by:
  `release` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#release(java.lang.Object)`

#### releaseAll

    public void releaseAll(Map components)
                    throws ComponentLifecycleException

Specified by:
  `releaseAll` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#releaseAll(java.util.Map)`

#### releaseAll

    public void releaseAll(List components)
                    throws ComponentLifecycleException

Specified by:
  `releaseAll` in interface `ServiceLocator`
Throws:
  `ComponentLifecycleException`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#releaseAll(java.util.List)`

#### hasComponent

    public boolean hasComponent(String componentKey)

Specified by:
  `hasComponent` in interface `ServiceLocator`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#hasComponent(java.lang.String)`

#### hasComponent

    public boolean hasComponent(String role,
                       String roleHint)

Specified by:
  `hasComponent` in interface `ServiceLocator`
See Also:
  `org.codehaus.xfire.lifecycle.ServiceLocator#hasComponent(java.lang.String, java.lang.String)`